TeamTalk 5 Help: TeamTalk User Interface Guide

TeamTalk 5 Help
  • Main Page
  • Related Pages
TeamTalk User Interface Guide

This section gives an introduction to the features available in the TeamTalk application. To be able to use the features explained in this tutorial you need to be connected to a server and have joined a channel. If you don't want to set up your own server you can press F2 to get a list of official TeamTalk servers.

Here is an overview of the list of features which are being described in this section:

  • Main Window
    • Menu Bar
    • Toolbar
    • Channels View
    • Volume Controls
    • Chat Tab
    • Video Tab
    • Desktops Tab
    • Files Tab
  • Client-Menu
    • Connect Dialog
    • Preferences Dialog
    • Record Conversations to Disk Dialog
  • Me-Menu
    • Enable Push To Talk Dialog
    • Enable Desktop Sharing Dialog
  • Users-Menu
    • Channel Operators
    • Subscriptions-Menu
    • Advanced-Menu
  • Channels-Menu
    • Create Channel Dialog
    • Classroom Channel Type
    • Stream Media File to Channel Dialog
  • Server-Menu
    • User Accounts Dialog
    • Banned Users Dialog
    • Online Users Dialog
    • Server Properties Dialog
  • Help-Menu

Main Window

The TeamTalk application consists of a menubar, a toolbar, a channels view in the left side with volume controls below and a tab control with four tabs to the right. Between the channels view and the tab control is a so-called splitter which can be used to change the size of the channels view and tab control.

The following screenshot is included to help explain the TeamTalk application's user interface.

TeamTalk main window

Menu Bar

In the top of the application are six menu-items: Client, Me, Users, Channels, Server and Help. The Client-menu is for configuring the TeamTalk application and connecting to servers. The Me-menu gives access to options which should be set for the local user (meaning you), like e.g. changing your nickname or status. The Users-menu is used for interacting with other users, like e.g. changing their sound volume or sending them text-messages. The Channels-menu is used for controlling channels, like e.g. creating new channels or updating existing ones. The Server-menu is for changing or viewing the server's options and finally the Help-menu is for assistance.

Toolbar

The toolbar simply provides easy access to common tasks which are also available though the menu items.

  • Connect button
    • The first button in the toolbar, which looks like a plug, is for connecting to a server. Once pressed it opens the Connect Dialog.
  • Enable Push to Talk button
    • The second button in the toolbar, which looks like a button, is for enabling a push to talk button. Push to talk is a key combination which must be held down whenever you are talking. If not push-to-talk key is defined it will open the Push to Talk.
  • Enable Voice Activation button
    • The third button, which looks like waves, are for enabling voice activation. Enabling this will make a slider show up in volume controls below the channels view. Move this slider left and right either changes the voice activation level.
  • Enable Video Transmission button
    • The fourth button, which looks like a webcamera, is for enabling video transmission. Before this can be used a camera must be set up in the Video Capture-tab in Preferences. Once the camera is started one can click the Video-tab in the tab control to see one self.
  • Enable Desktop Sharing button
    • The fifth button, which looks like a blackboard, is for sharing a desktop application with other users in the same channel. A shared will be displayed in the Desktop-tab for other users.
  • Mute All button
    • The sixth button in the toolbar, with a speaker icon, is for muting all users in the channel you're participating in, so you can no longer hear them.
  • Recording Conversation to Disk button
    • The seventh button, which looks like a record button, is for storing text chat-logs and audio files to disk. See section Record Conversations to Disk on how to record conversations.
  • Show Blinking Icon button
    • The last button, which looks like a hand, is for enabling the Question status mode. This will make you appear as a user with a blink hand.

Channels View

The channels view is in the left side of the application above the volume controls. Once you have connected to a server you will see channels and users appearing here.

The channels will appear as folder icons and the computer icon in the top is also a channel, namely the root channel, where you will first appear when you connect to a server.

The user impersonating you will appear with bold text, so in the screenshot below Bjoern is me. The blue box surrounding the user-icon means that I'm currently transmitting video, so the other users in the channel can see Bjoern in the Video-tab.

The user Ida is also transmitting video but the blinking red line on her name means that the reception from her is very poor (video data is being lost). The user Randi has a green line over her name which means that she's currently transmitting audio, i.e. other users in the channel are hearing her talking. The blackboard behind Randi's user-icon means that she sharing a desktop application which can be seen in the Desktops-tab.

Channels and users to the left

Notice that Bjoern in the above screenshot has a red star. This means the user is administrator of the server. The user Randi has a yellow star which means she is operator of the channel and can thereby kick people out of the channel and modify the channel's settings. People who are operators are usually the users who created the channel.

The channels view only shows users in channels. To be able to see all users on the server it's possible to use the Online Users Dialog.

Volume Controls

The volume controls are placed below the channels view. The first slider with a speaker to the left of it controls the master volume. Changing this increases or decreases the volume for all users. If you only want to change the volume of one person you can select this person and press Ctrl+Left arrow to lower volume and Ctrl+Right arrow to increase the volume. These two keyboard shortcuts are placed in the Advanced-menu.

The slider below the master volume with a microphone to the left controls your microphone's gain level, i.e. amplifying your volume so you become louder to other users.

To the right of master volume is progressbar with a wave to the left of it. This progressbar shows how much sound your microphone is picking up.

If voice activation is enabled the there will be a slider below the progressbar which sets the voice activation level. When using the voice activation slider to set the voice activation level ensure that it is not active all the time, since it can be annoying for other users. When voice activation becomes active the user in the channels view impersonating you will become green.

Chat Tab

The Chat-tab is used for text chatting with the people in your channel. A screenshot is shown there:

Chat-tab in main window

The Chat-tab also maintains a list of events which occurred in your channel, like e.g. when a new user joins or leaves the channel. To send a text message to all users in your channel simply type in the line to the left of the Send-button. If the server supports channel commands it's also possible to send commands to the server using channel text messages.

Video Tab

The Video-tab contains a grid of all the users who are currently transmitting video to the channel. The users who are transmitting video will have a blue frame around their user icon in the channels view as can be seen in the following screenshot:

Video-tab in main window

The button with the '-' sign in the Video-tab can be used to remove users from the grid so you will no longer receive video data from that user.

Pressing the button with the '+' sign will add the user to the grid again.

The button with the two frames, one above the other, is for detaching a user from the grid so the user will be shown in a separate window.

The last button the Video-tab is for starting and stopping your video camera. If you want other users to also see video sent from you press the video camera in the toolbar to the right of the voice activation icon.

Desktops Tab

The Desktops-tab contains a grid of shared desktop applications. Here is a screenshot of a shared desktop application:

Desktop-tab in main window

Moving your mouse over the desktop window will show who owns the desktop. Press and hold the mouse to scroll the window if it's bigger than the Desktops tab. Check out the Desktop Share section on how to share a desktop application.

Files Tab

If the server allows, users can upload and download files to and from a channel. When you join a channel you can see the files which are currently available in the Files-tab as shown in this screenshot:

Files-tab in main window

Only users who have a user account on the server can upload files. Anyone can download files in a channel. Only the owner of a file, an administrator or an operator of a channel can delete a file. Instead of using the upload and download button in the Files-tab one can also drag/drop files from Windows' Explorer.

Client-Menu

The Client-menu is used for connecting to TeamTalk servers and configuring the TeamTalk application.

Client-menu of main window

Each of the menu items in the Client menu are described here:

  • New Client Instance
    • Start a new TeamTalk instance, so you're able to connect to multiple servers.
  • Connect
    • To connect to a new server or one you have connected to recently. For more information read section Connect Dialog.
  • Preferences
    • Preferences is used for configuring the TeamTalk application. For more information read section Preferences Dialog.
  • Record Conversations to Disk
    • This menu item is used for storing conversations, both text and audio, to disk. For more information read section Record Conversations to Disk Dialog.
  • Exit
    • Quit the TeamTalk application.

Connect Dialog

In the Connect dialog you can specify the TeamTalk server you want to connect to. It also maintains a list of publicly available TeamTalk servers you can connect to. An example of public TeamTalk servers are shown in the screenshot below. The public servers will be shown in green.

Connect to server dialog

If you manually want to connect to a TeamTalk server then the person who is running the server must provide the information for the fields Host IP-address, TCP port and UDP port along with a user account containing both username and password. To join a specific channel once you have logged on to the server can be done by filling out Channel and Password fields. Once you have filled out all the information you have been provided you can save the server to the Server List by filling the Entry name field and afterwards click Save. Finally click Connect to connect to the server.

Learn more about setting up user accounts by read the section on configuring TeamTalk servers or the section about User Accounts.

If you want others to connect to the same TeamTalk server as you, you can press Generate .tt File so you'll generate a file you can email to the users who should also connect to the server. More information about the Generate .tt File Dialog is available here.

Preferences Dialog

The Preferences dialog is used for configuring the TeamTalk application. Users should at least run through the General and Sound System-tabs to ensure everything is configured properly.

Preferences Dialog

Please read section TeamTalk Preferences for a guide on how to configure TeamTalk.

Record Conversations to Disk

Conversations with others users, both audio and text messages, can be stored to disk using the Record Conversations to Disk dialog in Client-menu or by pressing the recorder button in the toolbar.

The record conversations dialog looks as follows:

Record Conversations to Disk dialog

Each of the items in the dialog are explained here:

  • Storage mode
    • Single audio file for all users
      • Audio from all users in your channel is merged into a single file.
    • Separate audio file for each user
      • Each user in your channel will have a separate audio file every time the person starts talking.
  • Audio file format
    • The file format to use for storing audio files. By default only Wave-format is support but if you download the LAME MP3 encoder you can store to MP3 format by placing the lame_enc.dll file in the same directory as the TeamTalk executable. lame_enc.dll is not included in the TeamTalk distribution due to MP3 licensing.
  • Folder for audio files
    • The file name for the audio files is generated automatically but the folder for storing the files has to be specified in this field.
  • Folder for channel log files
    • When joining a channel a new log file will be created in this folder containing the date and channel name.
  • Folder for user-to-user log files
    • When receiving a text message from another user a new log file will be created in this folder with the nickname of the user.

Me-Menu

The menu items in the menu group Me are options you want to perform on yourself. The possible options are shown here.

Me-menu items

Each of the menu items in the Me-menu are described here:

  • Change Nickname
    • The will change your name on the server. Your current nickname is the one shown in bold in the channels view. The nickname is simply a display name. It has no relation to your username (if you have a user account).
  • Change Status
    • This is used to change your status mode, like e.g. Available, Away, Question-mode and set a message regarding your current status.
  • Enable Push To Talk
    • Push To Talk is a key combination you need to hold down whenever you are talking. Using a Push To Talk key combination is especially usefull if you are using speakers and have problems with echos. To transmit voice data from microphone requires the user-right User can transmit voice data.
  • Enable Voice Activation
    • Instead of using Push To Talk one can have TeamTalk detect when you are talking and then start transmitting. To transmit voice data from microphone requires the user-right User can transmit voice data.
  • Enable Video Transmission
    • Enable this item to start transmitting video to other users in your channel. Note that you need to configure your web camera before doing this. To transmit video data from webcam requires the user-right User can transmit video data.
  • Enable Desktop Sharing
    • Share an application on your desktop with other users in your channel. This can e.g. be used for doing a presentation. See the Desktop Sharing dialog for more information. To transmit shared desktops requires the user-right User can transmit desktop sessions.

Enable Push To Talk Dialog

Using Push To Talk is a good way to ensure people do not overlap each other when they are talking and to avoid echos from speakers. To set up a hotkey simply hold down the keys you want to use as your key combination and release them all again. The Push To Talk dialog will show the keys you're holding down like here.

Push To Talk Dialog

Using Ctrl is a good choice for a Push To Talk key. Note that using regular keys can make Windows beep unlike when using non-modifier keys like Ctrl, Alt, Shift. Therefore Ctrl or Alt or Shift is recommended.

Enable Desktop Sharing Dialog

The window of an application on your desktop can be shared with other users in the same channel. This can be used for doing a presentation in an eLearning scenario.

The Desktop Sharing dialog is shown here:

Desktop Sharing Dialog

To be able to share a desktop window requires the user-right User can transmit desktop sessions.

Each of the items in the dialog are explained here:

  • Share entire desktop
    • Instead of sharing only one application you can share your entire desktop. Note that this may require a lot of bandwidth usage.
  • Share active window
    • Share the window on your desktop which currently have keyboard and mouse focus. This option is useful if you intend to show several application windows during your presentation.
  • Share specific window
    • Only share a single application window and it has to be the one with the title specified in the selection box.
  • Color mode
    • The more colors you use for showing your application the better it looks, but it also requires mode bandwidth.
  • Update interval
    • Enable this option if the window you're sharing changes during your presentation. TeamTalk will then update the window on a timely basis.
  • Share desktop cursor
    • Enable this option if remote users should be able to see where your mouse cursor is point to.

Users-Menu

The menu items in the Users-menu are used for changing the settings of other users and interacting with them. The Users-menu is shown here:

Users-menu items

Each of the menu items in the Users menu are described here. A user has to be selected in the channels view for the Users menu items to be active.

  • View User Information
    • Use this menu item to get extended information about a user, like e.g. username, user type and packet reception.
  • Messages
    • The menu item is for sending user to user text messages. A message dialog will pop up on the user's computer when you send him a message. This option can however be disabled in the Display tab in Preferences.
  • Allow Desktop Access
    • If you're sharing a desktop window using desktop sharing then you can allow the users you select in the channel view to control mouse and keyboard on your computer by enabling this menu item. Note that Allow Desktop Access is actually the same as enabling the Desktop Access-subscription in Subscription-menu.
  • Op
    • Op is short for channel-operator. Read section Channel Operators to learn more about channel operators.
  • Volume
    • If a user is either too loud or too quiet one can use the volume dialog to turn the volume up and down. Most users would probably prefer to use the volume controls in the Advanced-menu.
  • Mute
    • Mute Voice
      • Mute the user's voice stream so you will not hear audio from this person. Note that you will still receive audio data from the user. To also disable the voice stream completely look in the Subscriptions-menu.
    • Mute Media File
      • Mute the user's audio media file stream so you will not hear audio from this person. Note that you will still receive audio data from the user. To also disable the media file stream completely look in the Subscriptions-menu.
  • Kick
    • Kick from channel
      • Kick the user out of the channel.
    • Kick from server
      • Kick the user off the server so the person has to log in again.
    • Kick and Ban
      • Kick the user off the server and ban the user's IP-address. Only users with the User can ban users from server user-right can do this.
  • Subscriptions
    • See Subscriptions-menu.
  • Advanced
    • See Advanced-menu.
  • Mute All
    • Mute the sound from all users, both voice streams and media file streams.

Channel Operators

A channel operator is typically a channel owner, i.e. the user who initially created the channel. As channel operator one can kick people out of the channel and make changes to the channel's properties.

Being channel operator is similar to having the user-right User can create/modify all channels but instead of "all channels" the user can only make changes to the channels which the user is operator of.

When creating a channel one can also set an Operator password so others can become channel-operators by entering this password.

In the User Accounts Dialog it's possible to set up users to automatically become channel operators.

To control a channel of type classroom one has to be channel-operator to control who is allowed to transmit to the channel.

Subscriptions-Menu

Subscriptions are used for ignoring certain data or events from a user. If e.g. you do not want to receive text messages from a certain user you can tell the server that you want to unsubscribe text messages from that user.

Subscriptions-menu items

Each of the menu items in the Subscriptions-menu are described here.

  • User Messages
    • If checked you accept text messages from this user.
  • Channel Messages
    • If checked you accept channel text messages from this user.
  • Broadcast Messages
    • If checked you accept broadcast messages from this user. Only administrators can by default broadcast text messages.
  • Voice
    • If checked you accept microphone audio from this user. Unlike Mute in Users-menu disabling this will also stop the user from sending audio data to you.
  • Video
    • If checked you accept video from this user. Unsubscribing video is the same as pressing the minus button in the Video-tab.
  • Desktop
    • If checked you accept shared desktop windows from this user. Unsubscribing Desktop is the same as pressing the minus button in the Desktops-tab.
  • Desktop Access
    • If checked and you're sharing a desktop then you allow the selected user to take control of your mouse and keyboard.
  • Media File
    • If checked you accept audio and video streams of media files from this user. Media files are streamed using Stream Media File to Channel.
  • Intercept User Messages
    • Receive all the user's text messages, both to usee and to all other users the user is sending to. In other words this is like spying on the user. Only administrators can do this.
  • Intercept Channel Messages
    • Receive all the user's channel text messages, even if you're not in the user's channel. Only administrators can do this.
  • Intercept Voice
    • Receive audio from this user, even if you're not in the same channel. Only administrators can do this.
  • Intercept Video
    • Receive video from this user, even if you're not in the same channel. Only administrators can do this.
  • Intercept Desktop
    • Receive shared desktop windows from this user, even if you're not in the same channel. Only administrators can do this.

If there's certain subscriptions you always want to have disabled by default you can set these in the Connection-tab of the Preferences dialog.

Advanced-Menu

This main purpose of the Advanced-menu is to provide keyboard shortcuts to common tasks.

Advanced-menu items

Each of the menu items in the Advanced-menu are described here.

  • Increase Voice Volume
    • This is basically a shortcut to Volume in Users-menu.
  • Lower Voice Volume
    • This is basically a shortcut to Volume in Users-menu.
  • Increase Media File Volume
    • This is basically a shortcut to Volume in Users-menu.
  • Lower Media File Volume
    • This is basically a shortcut to Volume in Users-menu.
  • Store User(s) for Move
    • Store the selected users so they can be moved to another channel.
  • Move User(s)
    • Move the selected users to the selected channel.
  • Allow Voice Transmission
    • When a channel is configured in Classroom mode this menu item can be checked to allow the user to talk in the channel. This menu item is included due to its keyboard shortcut.
  • Allow Video Transmission
    • When a channel is configured in Classroom mode this menu item can be checked to allow the user to send video to the channel. This menu item is included due to its keyboard shortcut.
  • Allow Desktop Transmission
    • When a channel is configured in Classroom mode this menu item can be checked to allow the user to share desktop windows to the channel. This menu item is included due to its keyboard shortcut.
  • Allow Media File Transmission
    • When a channel is configured in Classroom mode this menu item can be checked to allow the user to stream a media file to the channel. This menu item is included due to its keyboard shortcut.

Channels-Menu

The menu items in the Channels menu become available when you select a channel in the channels view. All the channel options are shown here:

Channels-menu items

Each of the menu items in the Channels menu are described here.

  • Join Channel
    • Join the currently selected channel.
  • View Channel Info
    • View channel information about the selected channel. Details about a channel are described in Create Channel Dialog.
  • Create Channel
    • Create a new channel. To create a new channel a user must have either the user-right User can create temporary channels or User can create/modify all channels. Details about a channel are described in Create Channel Dialog.
  • Update Channel
    • Update an existing channel. Only channel-operators or users with user-right User can create/modify all channels can update a channel's properties. Note that it is not possible to change the audio codec of a channel when there are users in the channel. Details about a channel is described in Create Channel Dialog".
  • Delete Channel
    • Delete the selected channel and any sub-channels. If there's users in the channel then they will be kicked out. Only users with user-right User can create/modify all channels can delete a channel.
  • Stream Media File to Channel
    • A dialog will pop up where it's possible to specify which file to stream to a channel. The media file can contain both audio and video. To stream a media file to a channel your account must have the user-right User can transmit audio files and/or User can transmit video files.
  • Upload File
    • Upload a file to a channel. To upload a file a user must have a user account on the server and the user-right User can upload files. An Administrator can upload a file to any channel whereas Default user can only upload to their current channel. Read section Files-tab for more information on handling files. Note that the channel must have a disk quota to upload a file. The disk quota is explained in section Create Channel Dialog.
  • Download File
    • Download the file selected in Files-tab. To download a file a user must have the user-right User can download files.
  • Delete File
    • Delete the file selected in Files-tab. Only the owner of a file can delete it, the channel-operator or a user of user-type Administrator.

Create Channel Dialog

To chat with other users in TeamTalk one has to either create a channel or join an existing channel. A new channel can be created by pressing F7 and the following dialog will show up:

Create Channel Dialog

Each of the fields in the create channel dialog are described here:

  • Channel Path
    • Each channel can have subchannels which again can have subchannels. In TeamTalk channels are separated with / and the full path of your new channel will be displayed here.
  • Channel name
    • The name of your new channel. Ensure that / is not in the name.
  • Topic
    • Each channel can have a topic which both users who are in the channel and who are not in the channel can read.
  • Password
    • The password required to join the channel (optional).
  • Operator password
    • The first person to create a new channel will automatically become operator of that channel. This means the user can kick people out of the channel and update its settings later on. If the person leaves the channel at some point and comes back that person can click the Op item in the Users-menu to become operator again.
  • Max users
    • The maximum number of users allowed in the channel.
  • Disk quota (KBytes)
    • The maximum number of KBytes available for file storage in the channel when uploading files. This field can only be modified if user has user-right User can create/modify all channels. The default Disk Quota is set up when configuring the TeamTalk server.
  • Permanent channel (stored on server)
    • Only users with user-right User can create/modify all channels can create permanent channels.
  • No interruptions (no simultaneous voice transmission)
    • If this option is enabled only one person can talk in the channel. In other words where will be no overlapping conversations. To talk in this type of channel you must wait until the channel becomes "silent". In Sound Events in Preferences there's an option to play a sound when a channel is "free for chat".
  • Classroom (operator-controlled transmission)
    • If this option is enabled the channel operator can control who is allowed to talk, send video and share desktops in the channel. See section classroom for more information.
  • Operator receive only (only operator see and hear users)
    • This channel type can be used for reducing network traffic when e.g. TeamTalk is used for teaching. Only user's with user-right User can create/modify all channels and operators of a channel will see and hear users in the channel.
  • No voice activation (only Push-To-Talk allowed)
    • Enable this channel type to disallow voice activation
  • No audio recording allowed (save to disk not allowed)
    • Don't allow users to use the Record Conversations to Disk option.
  • Audio Codec
    • Codec Type
      • In TeamTalk each channel must specify which audio codec all users in the channel must use to join the channel. TeamTalk currently supports Speex and OPUS.
    • OPUS codec
      • Application
        • Use VoIP if channel is primarily used for users talking together. Use Music if channel is primarily used for streaming high quality audio, like e.g. music.
      • Sample Rate
        • The sample rate to use. The higher the better audio quality.
      • Audio Channels
        • Mono or Stereo. OPUS automatically switches to mono if bitrate is less than 30 kbit.
      • Bitrate
        • The bitrate to use. OPUS supports 6-510 KBit/sec.
      • Ignore silence (DTX)
        • Discontinuous transmission (DTX), i.e. if the OPUS codec detects there's silence then it will output empty packets to conserve bandwidth.
      • Transmit interval
        • The number of milliseconds of recorded audio before the TeamTalk client should transmit.
    • Speex codec
      • Sample rate
        • The sample rate to use. The higher the better audio quality.
      • Quality
        • Increasing the quality will require more bandwidth but the sound quality will get better. Ensure to use a setting which is not higher than everyone you want to talk to have an Internet connection which supports the required bandwidth.
      • Transmit interval
        • The number of milliseconds of recorded audio before the TeamTalk client should transmit.
    • Speex Variable Bitrate
      • Sample rate
        • The sample rate to use. The higher the better audio quality.
      • Quality
        • Increasing the quality will require more bandwidth but the sound quality will get better. Ensure to use a setting which is not higher than everyone you want to talk to have an Internet connection which supports the required bandwidth.
      • Max bitrate
        • The encoder should stay below this bitrate.
      • Ignore silence (DTX)
        • Discontinuous transmission (DTX), i.e. if the OPUS codec detects there's silence then it will output empty packets to conserve bandwidth.
      • Transmit interval
        • The number of milliseconds of recorded audio before the TeamTalk client should transmit.
  • Enable fixed audio volume for all users
    • In most cases users have microphones with different audio volume levels which makes some users louder than others. Enabling this option ensures that all users in the channel speaks at the same audio volume level. Note that this option may reduce audio quality.
  • Volume level
    • The reference volume all users in the channel should use.

Classroom Channel Type

If there's many people in a channel it's often nescessary for someone to control who is talking. The classroom channel type can be used for controlling which users are allowed to transmit audio, video and media files to a channel.

If a channel is configured as a classroom then the channels view will look something like this:

Classroom channel from channel-operator's perspective

The checkboxes in front of each user are used to control who can transmit to the channel. In the above screenshot Ida and Liv are e.g. allowed to transmit video from webcams. The user Randi is allowed to transmit shared desktop but cannot transmit video since she is not checked.

As can be seen on the screenshot there's also checkboxes to the right of the channel name Room 11B. These checkboxes can be used as a shortcut for allowing everyone to transmit. So voice and media files can be transmitted by anyone in the channel.

For a non-operator of the classroom channel the view of the Room 11B channel will look like this:

Classroom channel for non-operator's perspective

A non-operator cannot modify any of the transmission settings. They will have to ask the channel-operator to toggle the checkboxes for transmission.

Stream Media File to Channel Dialog

In the Channels-menu there's an option to stream media files to others users in the same channel. For fast access the play icon in the toolbar can also be used.

Here's an example of streaming a media file with video content to a channel:

Stream Media File to Channel

The users receiving the media stream can use the volume dialog in Users-menu to control the volume level of the media file. If it's media file containing video content then the video can be seen in the video-tab.

Server-Menu

The Server-menu is mainly intended for server administrators to administrate users who have access to the server. The Server-menu contains the items shown here:

Server-menu items

Each of the menu items in the Server-menu are described here.

  • User Accounts
    • List all user accounts on the server and administrate existing ones. Only administrators can do this. More is explained in the User Accounts Dialog.
  • Banned Users
    • List all the users who are banned from the server. Users are banned based on their IP-address. Since user's IP-addresses often change from day to day it might be that a user who was previously banned can log on to the server again a day or two later. Only users with user-right User can ban users from server can list the banned users on a server. More is explained in section Banned Users Dialog.
  • Online Users
    • List all users who are currently connected to the server, also those who are not in a channel.
  • Broadcast Message
    • Broadcast a message to all users on the server. The message will appear in the Chat-window. Only users with user-right User can broadcast text messages can broadcast text messages.
  • Server Properties
    • See the server's properties and change them if user has user-right User can update server properties. More is explained in section Server Properties Dialog.
  • Save Configuration
    • Save the server's current state, i.e. save the current server properties and all permanent channels. If Auto save server changes is checked in Server Properties all new permanent channels are saved automatically. Also channels which are deleted are removed from the server's configuration.
  • Server Statistics
    • Get incoming and outgoing bandwidth usage.

User Accounts Dialog

For users to log on to a TeamTalk server they must have a user account. Only users of user-type Administrator can create/modify user accounts. When the TeamTalk server is configured initially an administrator account can be set up so further user accounts can be set up using this user accounts dialog. Here is shown the User Accounts-dialog.

User Accounts Dialog

The Active Users list contains all the user accounts on the server. The remaining items are explained here:

  • Username
    • The username the new user account.
  • Password
    • The password of the new user account.
  • Note
    • Information about the user account can be put here.
  • Initial Channel
    • Once the user with this account logs on to the server the person should be moved to the specified channel. Note this requires that the user is running TeamTalk 4.3 or later.
  • User type
    • Currently TeamTalk supports two types of users, Default User and Administrator. Administrator have full rights to everything whereas default users only have limited rights.
  • Auto-Operator Channels
    • Selected Channels
      • The user with the specified user account will automatically become channel-operator in the listed channels.
    • Available Channels
      • The list of channels where a user can automatically become channel-operator. Only static channels are supported for auto-operator mode.
  • Max bitrate for audio codecs
    • If users are allowed to create channels on a server setting this option can limit the bitrate of the audio codec they are able to specify.
  • User can log in multiple times
    • If enabled multi users can log in with the same username. If disabled and two log in with the same username, then the first person to log in will be kicked off the server.
  • User can see users in all channels
    • If unchecked the user can only see users in the current channel.
  • User can create/modify all channels
    • User can create/update/delete all channels on the server. User can also create permanent channels. If unchecked user can only join existing channels.
  • User can create temporary channels
    • If checked user can create a channel on the server but the channel will disapper when the last user leaves the channel.
  • User can broadcast text messages
    • The Broadcast Message menu item in Server-menu is enabled for the user.
  • User can kick users off the server
    • The Kick menu items in Users are enabled for the user.
  • User can ban users from server
    • The Kick and Ban menu item in Users is enabled for the user.
  • User can move users between channels
    • The user can move users between channels using drag/drop.
  • User can make other users channel operator
    • The user can make other users channel-operator instead of having users specify an operator-password.
  • User can upload files
    • The Upload file menu item in Channels will be enabled.
  • User can download files
    • The Download file menu item in Channels will be enabled.
  • User can update server properties
    • The Server Properties will be editable to the user.
  • User can transmit voice data
    • The user can transmit audio from microphone input to channels. See Enable Push to Talk Dialog.
  • User can transmit video data
    • The user can transmit video data from webcam to channels.
  • User can transmit audio files
    • The user can stream media files containing only audio to channel. See Stream Media File Dialog.
  • User can transmit video files
    • The user can stream media files containing video to channel. See Stream Media File Dialog.
  • User can transmit desktop sessions
    • The user can share desktop window with users in channel. See Enable Desktop Sharing Dialog.
  • User can get remote access to desktop sessions
    • If checked and another user is sharing a desktop window then it will possible for the user to control mouse and keyboard on the shared desktop window.
  • Clear
    • Clear the fields for the user account.
  • Add/Update
    • Create or update a user account.
  • Delete
    • Delete the seleced user account in the Active Users list.

Banned Users Dialog

The Banned Users dialog shows the IP-addresses which are currently blocked by the server. Here is an example of users which have been banned on a server.

Banned Users Dialog

To remove a ban on a user simply move the user from the left list to the right list using the button with the greater than sign.

Online Users Dialog

The channels view only shows the users in channels but to see all users on the server you can use the Online Users dialog.

Open the Online Users dialog by pressing Server-menu and then Online Users.

Online Users Dialog

The dialog also has quick menu options for kicking and banning users, as well as text messaging users.

Server Properties Dialog

The Server Properties-dialog shows what rights users who are logged on to the server has. An example is shown here where user has user-right User can update server properties:

Server Properties Dialog

Each of the fields in the Server Properties-dialog are described here:

  • Server name
    • The name which will appear on the root channel in the channels view.
  • Max users
    • The maximum number of users on the server. The maximum supported by TeamTalk is 1000.
  • Message of the day
    • The message of the day which users will see in the Chat-tab when they log on to the server.
  • Show variables
    • If variables are used in the Message of the day enable this option to view them.
  • TCP port
    • The server's TCP port for commands. If changed the new port will not be used until next time the server is restarted.
  • UDP port
    • The server's UDP port for audio and video data. If changed the new port will not be used until next time the server is restarted.
  • User timeout
    • The number of seconds a user can stay on the server without having sent so-called keep-alive information to the server. If the User Timeout value is exceeded the server will drop (kick) the user.
  • Auto save server changes
    • If checked the server will automatically save changes to Server Properties and store when new static channels are created, updated or removed.
  • Voice TX max
    • Setting this option can limit how much voice data the server is allowed to forward every second. If this value is exceeded later voice packets are simply dropped.
  • Video TX max
    • Setting this option can limit how much video data (from webcams) the server is allowed to forward every second. If this value is exceeded later video packets are simply dropped.
  • Media File TX max
    • Setting this option can limit how much media file data (both audio and video) the server is allowed to forward every second. If this value is exceeded later media file packets are simply dropped.
  • Desktop TX max
    • Setting this option can limit how much desktop data is allowed to be forwarded through the server. Unlike audio and video packets, desktop packets are retransmitted.
  • Total TX max
    • The overall maximum throughput the server is allowed to use for forwarding packets.
  • Max login attempts before ban
    • If a user has tried to login with an incorrect password this number of times then ban the user's IP-address.
  • Max logins per IP-address
    • The maximum number of simultaneous logins from a single IP-address.
  • Server version
    • The version of the server which the user is connected to.

Help-Menu

The menu items under Help are used for getting information about the TeamTalk application.

Help-menu items

Each of the menu items in the Help menu are described here:

  • Manual
    • Opens this manual.
  • BearWare.dk Website
    • Opens the www.bearware.dk website in the default internet browser.
  • About
    • Opens a dialog with version information about the installed TeamTalk client.
Generated on Sun Feb 22 2015 17:04:26 for TeamTalk 5 Help by doxygen 1.8.8


TeamTalk 5 Help: TeamTalk Preferences

TeamTalk Preferences

TeamTalk has many options which can be configured in the application's Preferences. To bring up Preferences simply hit F4.

The Preferences dialog has the following tabs:

  • General
  • Display
  • Connection
  • Sound System
  • Sound Events
  • Shortcuts
  • Video Capture

The items in each of the tabs are explained in the following sections.

General

The General-tab is for basic settings like nickname and how to transmit audio.

General-tab in Preferences
  • Nickname
    • The name other users will see as you when logging on to a server.
  • Gender
    • This option selects whether other users should see you as a Male or Female.
  • Set away status after...
    • If non-zero this option will automatically set you as away after the specified number of seconds.
  • Push To Talk
    • A so-called Push To Talk key combination can be set up so one has to hold down a set of keys in order to transmit audio data. This is especially useful to avoid echos from speakers.
  • Voice activated
    • Instead of using a Push To Talk key combination one can simply have TeamTalk start transmitting whenever you're talking by enabling this option.

Display

The Display-tab contains settings about the application's appearance.

Display-tab in Preferences

The items in the Display-tab are explained here:

  • User interface language
    • The language to use in the application.
  • Start minimized
    • If enabled TeamTalk will minimized itself once it starts.
  • Minimize to tray icon
    • If enabled TeamTalk will go in Windows system tray when minimized. The system tray is in the bottom right corner of Windows.
  • Always on top
    • If enabled TeamTalk will always be in front of other running programs.
  • Show number of users in channel
    • If enabled a parentesis will be shown on each channel with the number of users in the channel.
  • Popup dialog when receiving text message
    • If enabled a dialog window will pop up if someone writes you a text message.
  • Start video in popup dialog
    • When a user starts transmitting video (from webcam) to the video session should be displayed in a separate dialog instead of in the Video-tab.
  • Closed video dialog should return to video-tab
    • By default closing a video popup dialog will return it to the Video-tab. If the video should simply no longer be displayed after closing a video dialog then uncheck this option.
  • Start desktops in popup dialog
    • When a user shares a desktop window it should be displayed in a separate dialog instead of the Desktop-tab.
  • Timestamp text messages
    • If enabled each text message will have a timestamp telling when it was received.
  • Show statusbar events in chat-window
    • If enabled all messages which are shown in the application's statusbar will also be put in the channel chat-tab window".
  • Check for program updates at start up
    • When TeamTalk starts it should check to see if there's a new version available. If a new version is available a text message will be shown in the Chat-tab.
  • Show source in corner of video window
    • If enabled the name of the person who is sending video will be shown in corner of the video window.
  • Maximum text length in channel list
    • The names of users and channels can sometimes be very long. Use this option to limit the length names.

Connection

The Connection-tab is used for configuring how the client should connect to a server.

Connection-tab in Preferences

The items in the Connection-tab are explained here:

  • Connect to latest host on startup
    • If enabled the server which TeamTalk was connected to last it was running will be used again when TeamTalk starts.
  • Reconnect on connection dropped
    • If the connection to a server is lost TeamTalk should automatically reconnect to the server.
  • Join root channel upon connection
    • If enabled TeamTalk will automatically join the root channel on the server after authentication.
  • Query server's maximum payload upon connection
    • Some networks restrict the size of UDP-packets which can make cause audio, video and desktop sessions not to work properly. Enabling this option will make TeamTalk query the maximum size the server allows for UDP-packets. TeamTalk accomplish this by sending several "bogus" UDP-packets with different sizes to the server in order to figure out how big UDP-packets are allowed.
  • Add application to Windows Firewall exception list
    • The Windows Firewall by default does not allow applications to receive data from unknown clients. This can cause TeamTalk not being able to communicate properly with server and other clients when using P2P mode. It is therefore recommended to add TeamTalk to the Windows Firewall exception list.
  • Default Subscriptions upon Connection
    • User Messages
      • By disabling this option all text message sent to you will be ignored unless you explicitly subscribe to User Messages from a user in the Subscriptions-menu.
    • Channel Messages
      • By disabling this option all channel text message will be ignored unless you explicitly subscribe to Channel Messages from a user in the Subscriptions-menu.
    • Broadcast Messages
      • By disabling this option all broadcast text message will be ignored unless you explicitly subscribe to Broadcast Messages from a user in the Subscriptions-menu.
    • Media Files
      • By disabling this option you will not hear or see media files being streamed to the channel you're in unless you explicitly subscribe to Media Files from a user in the Subscriptions-menu.
    • Voice
      • By disabling this option all voice will be ignored unless you explicitly subscribe to Voice from a user in the Subscriptions-menu.
    • Video Capture
      • By disabling this option all video will be ignored unless you explicitly subscribe to Video from a user in the Subscriptions-menu.
    • Desktop
      • By disabling this option all shared desktops will be ignored unless you explicitly subscribe to Desktop from a user in the Subscriptions-menu.
    • Desktop Access
      • Setting up default subscriptions for desktop access can make others users automatically get control of mouse and keyboard. Desktop Access is also available in the Subscriptions-menu.
  • TCP port
    • The socket used for TCP should bind to the specified port. Do not change unless you know what you're doing.
  • UDP port
    • The socket used for UDP should bind to the specified port. Do not change unless you know what you're doing.

Sound System

The Sound System-tab is for configuring your audio recording and playback devices.

Sound System-tab in Preferences

The items in the Sound System-tab are explained here:

  • Windows Audio Session
    • The preferred sound system for Windows Vista/7. It's very fast and works well with echo cancellation.
  • DirectSound
    • This is the preferred sound system to use on Windows XP.
  • Windows Standard
    • Windows default sound system. This typically is slower than DirectSound and Windows Audio Session.
  • ALSA
    • This sound system is only available on Linux.
  • Core Audio
    • This sound system is only available on Mac OS X.
  • Input Device
    • The sound device to use for recording audio. It is advised to use one which supports stereo, i.e. label below should say Max Input Channels 2.
  • Output Device
    • The sound device to use for audio playback. It is advised to use one which supports stereo, i.e. label below should say Max Output Channels 2.
  • Test Selected
    • Use this to test the selected sound devices.
  • Enable duplex mode (required for echo cancellation)
    • When this option is enabled all received audio is merged into a single stream and played. Sound cards which cannot option multiple streams can use this option and if you intend to use echo cancellation this option is a requirement.
  • Enable echo cancellation (remove echo from speakers)
    • If you're using speakers instead of headphones when other users may be hearing themselves due to echo from speakers. Enabling this option will remove the echo from speakers. It, however, requires a lot of system resources and is therefore not enabled by default. For best echo cancellation it's also advised to enable the Audio Configuration option when creating channels.
  • Enable automatic gain control (microphone level adjusted automatically)
    • The volume level of microphones vary a lot therefore it's recommended enabling automatic gain control (AGC) to ensure all users in a channel speak at the same volume level. AGC is used in combination with Audio Configuration when creating channels. The volume level specified in the Audio Configuration will be used as reference volume for AGC.
  • Enable denoising
    • If you have a poor quality microphone it is advised to enable denoising.
  • Default
    • This button resets all sound system items to their default values.

Sound Events

The Sound Events-tab is for playing sound when certain events take place.

Sound Events-tab in Preferences

The items in the Sound Events-tab are explained here:

  • New user
    • Play this sound when a new user joins your channel.
  • Remove user
    • Play this sound when a user leaves your channel.
  • Server lost
    • Play this sound if TeamTalk drops its connection to the server.
  • New user message
    • Play this sound when a user to user text message is received.
  • New channel message
    • Play this sound when a channel text message is received.
  • Hotkey pressed
    • Play this sound when the Push to Talk key combination is pressed.
  • Channel silent
    • Play this sound when the last user has stopped talking and there's no one left who is talking in the channel.
  • Files updated
    • Play this sound when a file is either added or deleted.
  • File transfer complete
    • Play this sound when a file transfer is completed.
  • New video session
    • Play this sound when a new video stream can be seen in the Video-tab.
  • New desktop session
    • Play this sound when a new shared desktop can be seen in the Desktops-tab.
  • User entered question-mode
    • Play this sound if a user in your channel changes status to Question-mode.
  • Desktop access request
    • Play this sound when a user requests access to your shared desktop session.

Shortcuts

The Shortcuts tab is for keyboard shortcuts (hotkey) for common tasks.

Shortcuts-tab in Preferences

The items in the Shortcuts-tab are explained here:

  • Enable/disable voice activation
    • Global hotkey to turn on/off voice activation.
  • Increase volume
    • Global hotkey to increase the master volume.
  • Lower volume
    • Global hotkey to lower the master volume.
  • Enable/disable mute all
    • Global hotkey to mute all users.
  • Increase microphone gain
    • Global hotkey to increase the microphone volume.
  • Lower microphone gain -Global hotkey to low the microphone volume.
  • Enable/disable video transmission
    • Global hotkey to turn on/off video transmission.

Video Capture

The Video Capture-tab is for configuring web camera for video recording.

Video Capture-tab in Preferences

The items in the Video Capture-tab are explained here:

  • Video Capture Device
    • The web camera to use for capturing video.
  • Video Resolution
    • The video resolution to use and the frame rate (FPS).
  • Image Format
    • The image format to use. Use RGB32 to get the best picture quality and I420 for the highest frame rate.
  • Test Selected
    • Test the selected video capture settings. Note the video codec settings are not used when testing this.
  • Codec
    • The video codec to use for compressing the video data.
  • Bitrate
    • The bitrate the video encoder should target. The higher the value, the higher the bandwidth usage. Read the Quick Start section on how to configure the settings which are best for your Internet connection.
  • Default
    • Make TeamTalk choose the default settings.


TeamTalk 5 Help: How To

How To
  • How to share a desktop
  • How to interact with shared desktop (desktop access)
  • How to upload a file
  • How to delete a file
  • How to setup a user account
  • How to set up a classroom
  • How to become channel operator

How to share a desktop

Please read the section regarding Enable Desktop Sharing Dialog.

How to interact with shared desktop (desktop access)

Select the Desktop-tab and right-click the shared desktop. Now press Request Desktop Access. This will inform the user who is sharing the desktop that you would like to interact with it. On the remote users screen you will appear with a blinking icon. The remote user must then select you in the channels view then click Users-menu and finally enable the menu item Allow Desktop Access.

How to upload a file

Please read the section Channels-menu and find the description for menu item Upload File.

How to delete a file

Please read the section Channels-menu and find the description for menu item Delete File.

How to setup a user account

Please read the section regarding User Accounts Dialog to see how to create user accounts.

How to set up a classroom

Please read section classroom channel type on how to configure a classroom channel.

How to become channel operator

Please read section Channel Operators on how channel operators are set up.


TeamTalk 5 Help: .tt Files and tt:// URLs for TeamTalk Servers

.tt Files and tt:// URLs for TeamTalk Servers

It is sometimes difficult to explain novice TeamTalk users how they should connect to a TeamTalk server and join a channel. For this reason it's possible to make a so-called .tt files and tt:// URLs which automates this process.

A .tt file is a file which is associated with the TeamTalk application, so when a users double-clicks the file it bring up TeamTalk which will then connect to the server.

A tt:// URL is a link which can be put on a HTML page and once clicked will launch TeamTalk which will connect to the server.

.tt files and tt:// URLs are explained the following sections:

  • Generate .tt File
  • tt:// URL

Generate .tt File

To generate a .tt file bring up the Connect dialog by pressing F2. Fill out the fields which are required to connect to the TeamTalk server like in the example below:

Connect dialog

When all the required information has been put in press the button Generate .tt File. The Generate .tt File dialog will then appear as shown below.

Generate .tt File dialog

The Generate .tt File dialog allows users to specify additional options which can be used to set up the client application of the user who's launching the .tt file.

When the settings have been specified press Save .tt File to store it. Once the file has been stored on disk you can send the .tt file to other users, so they can connect to the same server.

tt:// URL

An <a href=".... tag on a HTML page can be used to launch the TeamTalk application and make it connect to the server specified. Here is an example:

<html>
    <title>My TeamTalk Server Website</title>
    <body>

        Click <a href="tt://tt5eu.bearware.dk?tcpport=10335&amp;udpport=10335&amp;username=guest&amp;password=guest">here</a> to join my TeamTalk Server.

    </body>
</html>

A tt:// URL supports the following properties:

  • tcpport
    • Server's TCP port
  • udpport
    • Server's UDP port
  • username
    • Username for user account
  • password
    • Password for user account
  • channel
    • The channel to join after login
  • chanpasswd
    • Password of the channel to join

All the above properties are optional. If they're not specified the TeamTalk client will connect using the default TCP and UDP ports. Click here to try the above tt:// URL


TeamTalk 5 Help: TeamTalk Server Setup

TeamTalk Server Setup

This section explains how to set up a TeamTalk server. This is a quite complicated procedure so users who are not so skilled with network setup are advised to use the public TeamTalk servers which are available in the Connect to Server dialog (press F2).

Here's an overview of this section:

  • TeamTalk Server for Windows
    • TeamTalk Console Server
    • Installing the TeamTalk Server as an NT service
    • Installing multiple TeamTalk NT Services
  • TeamTalk Server for Linux
  • TeamTalk Server for Mac OS X

TeamTalk Server for Windows

To be able to set up a TeamTalk server you first you need to ensure that the TeamTalk server was installed when you ran the TeamTalk installation.

Install TeamTalk Server

If the server is installed there will be a folder called "TeamTalk NT Service" in the "TeamTalk 5" program group of Windows' start-menu.

TeamTalk Console Server

To start the TeamTalk Console Server click "TeamTalk 5 Console Server" in the TeamTalk 5 program group. This will bring up a console window where you're asked if you want to configure the TeamTalk server.

Unlike the TeamTalk NT service the Windows console server doesn't require administrator access because all settings for the server will be saved in your home-directory:

c:\Users\USERNAME\AppData\Roaming\BearWare.dk\tt5srv.xml

Installing the TeamTalk Server as an NT service

To install the TeamTalk server click "Install TeamTalk NT Service" in the TeamTalk 5 program group. On Windows this will bring up User Access Control (UAC) since the TeamTalk server requires Administrator access. The TeamTalk server will now run it's configuration wizard (its "-wizard" option). If you want to change the server's default settings or set up user accounts you need to run the configuration wizard and answer 'y' to the first question.

Here is an example of how to set up a server with an administrator user account. The user account has the username 'admin' and password 'admin'.

Configure TeamTalk Server

Once the server is up and running you can connect to the server using the administrator user account that you just created. Use the user account dialog to create more user accounts for the server.

Installing multiple TeamTalk NT Services

To install multiple TeamTalk 5 NT Services the sc.exe command can be used. Here is an example:

sc.exe create "TeamTalk Server 2" binPath= "C:\MyServer\tt5svc.exe -wd c:\MyServer" start= auto

The service in the above example will be called "TeamTalk Server 2" in the NT service list. Notice the spaces after binPath and start. For some strange reason these are required.

To start the above service run:

sc.exe start "TeamTalk Server 2"

To stop it type:

sc.exe stop "TeamTalk Server 2"

To uninstall it type:

sc.exe delete "TeamTalk Server 2"

TeamTalk Server for Linux

On Linux the TeamTalk server binary is called tt5srv and is located in the server-subfolder after untar'ing the archive.

The TeamTalk server for Linux can run both in daemon mode and as a regular console application. A daemon script is also included which can be put in /etc/init.d.

For instructions on how to configure and run the TeamTalk server (tt5srv) simply type:

./tt5srv

To start the TeamTalk server setup-wizard type:

./tt5srv -wizard

When running the setup-wizard then make sure the executable is run at a writable location so it's possible for the setup-wizard to save its changes to disk.

TeamTalk Server for Mac OS X

On Mac OS X the server binary is also called tt5srv and is located in Applications/TeamTalk5.app/Contents/Server subfolder after installing the TeamTalk .dmg file.

The TeamTalk server for Mac OS X can run both in daemon mode and as a regular console application.

For instructions on how to configure and run the TeamTalk server (tt5srv) simply type:

/Applications/TeamTalk5.app/Contents/Server/tt5srv

To start the TeamTalk server setup-wizard type:

/Applications/TeamTalk5.app/Contents/Server/tt5srv -wizard

When running the setup-wizard then make sure the executable is run at a writable location so it's possible for the setup-wizard to save its changes to disk.


TeamTalk 5 Help: TeamTalk 5 Classic for Accessibility

TeamTalk 5 Classic for Accessibility

The default TeamTalk 5 client application uses a framework called Qt for designing the user interface and unfortunately this doesn't work well with screen-readers. For this reason a simplified version of the TeamTalk 5 application has been included with the TeamTalk 5 Windows installer called TeamTalk 5 Classic which works well with screen-readers.

Install TeamTalk 5 Classic

To install TeamTalk 5 Classic for accessibility run the installer and in the "Select Components" page choose "TeamTalk 5 Classic for Accessibility".

Install TeamTalk 5 Classic for Accessibility

When running the TeamTalk 5 Classic client it looks as follows:

TeamTalk 5 Classic screenshot

The keyboard menu shortcuts are the same in the Classic client as in the regular client. The Classic client doesn't have a Video-tab and Desktop-tab. Video and desktop sessions are opened in separate windows when running the Classic client. To ignore video and desktop session completely look into Default Subscriptions.


TeamTalk 5 Help: Advanced Topics

Advanced Topics

The TeamTalk client supports a couple of command-line arguments and additionals configuration options which are explain in the following sections:

  • Command-line arguments
  • Load settings file (TeamTalk5.ini)
  • Multiple client instances with different settings
  • Extra INI-file settings

Command line arguments

The TeamTalk 5 client supports the following command-line arguments:

  • TeamTalk URL
    • Usage:
      TeamTalk5.exe tt://192.168.0.10?tcpport=10333&udpport=10333
  • TeamTalk .tt file
    • Usage:
      TeamTalk5.exe C:\Documents\myserver.tt
  • Add to Windows Firewall
    • Usage:
      TeamTalk5.exe -fwadd
  • Remove from Windows Firewall
    • Usage:
      TeamTalk5.exe -fwremove
  • Override auto-connect setting
    • Usage:
      TeamTalk5.exe -noconnect

Load settings file (TeamTalk5.ini)

By default the TeamTalk client first looks in the directory of the executable for its settings file (TeamTalk5.ini). If the settings file isn't located there it will instead load its settings from the user-profile's directory. On Windows 7 the user-profile directory is typically located in:

C:\Users\username\AppData\Roaming

and on Windows XP it's in

C:\Documents and Settings\username\Application Data

. On Linux and Mac the settings are located in:

$HOME/.config/BearWare.dk

Multiple client instances with different settings

Since the TeamTalk executable first tries to load settings from its own directory it's possible to run multiple TeamTalk clients with different settings. Simply create a new directory, copy TeamTalk5.exe and TeamTalk5.dll to that directory and create a file called TeamTalk5.ini (TeamTalk5Classic.xml in the Classic client). Launch TeamTalk5.exe and it will use the local settings file instead of the settings file in the user-profile.

Extra INI-file settings

Most settings in the TeamTalk ini-file are configurable using the Preferences dialog but there's a few hidden entries which are described here.

Mute left or right audio channel

In the sound system section of the INI-file it's possible to mute either the left or right channel when the client is in a stereo channel. Simply add the following lines to the TeamTalk5.ini file:

[soundsystem]
sndoutput-mute-left=true
sndoutput-mute-right=true

Make an auto connect INI-file

To make an INI-file which automatically connects to a host once the application is started simply add the following to the TeamTalk5.ini file:

[latesthosts]
0_hostaddr=tt5eu.bearware.dk
0_tcpport=10333
0_udpport=10333
0_username=guest
0_password=guest
0_channel=/
0_chanpassword=

[connection]
autoconnect=true


TeamTalk 5 Help: TeamTalk 5 Help

TeamTalk 5 Help

This help file contains information on how to use the TeamTalk application and setting up a TeamTalk server.

Help sections

Follow the links below to each of the help sections.

  • User Interface Guide
    • Learn what all the menus and buttons are used for in the TeamTalk application.
  • Preferences
    • This section outlines all the possible ways the TeamTalk can be configured.
  • How to...
    • Questions new users might have on how to use TeamTalk are explained in this section.
  • .tt Files and tt:// URLs for TeamTalk Servers
    • Learn how to make .tt files which you can email to your friends so they can connect to your TeamTalk server or join your channel.
  • TeamTalk Server Setup
    • Learn how to set up your own TeamTalk server.
  • Accessibility
    • Information regarding TeamTalk 5 Classic for Accessibility.
  • Advanced Topics
    • Command line options, INI-file settings, etc. for TeamTalk client.


TeamTalk 5 Help: Related Pages

Related Pages
Here is a list of all related documentation pages:
TeamTalk User Interface Guide
TeamTalk Preferences
How To
.tt Files and tt:// URLs for TeamTalk Servers
TeamTalk Server Setup
TeamTalk 5 Classic for Accessibility
Advanced Topics
Generated on Sun Feb 22 2015 17:04:26 for TeamTalk 5 Help by doxygen 1.8.8